Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class Name4Tuple

    java.lang.Object
      |
      +--spki.Tuple
            |
            +--spki.Name4Tuple

public class Name4Tuple
extends Tuple

spki Name4Tuple class.

Version:
  $Id: Name4Tuple.java,v 1.4 2002/07/07 17:02:53 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>

Field Summary
`private static String` | `__ME` This class's full name.
`private RelativeName` | `name` The name field.

Fields inherited from class spki.Tuple
`__ME, issuer, subject, validity`

Constructor Summary
`Name4Tuple()` Don't use me.
`Name4Tuple(Issuer issuer, SubjectName subject, RelativeName name, Validity validity)` Create a Name4Tuple object from given fields.
`Name4Tuple(NameCert cert)` Create a Name4Tuple object from given name-cert.

Method Summary
`LocalName` | `getName()` Get the name field.
`String` | `toString()`

Methods inherited from class spki.Tuple
`contains, EIntersect, EUnion, getIssuer, getSubject, getValidity, MAX, MIN, NUnion, rSubjObjsExpand, SUnion, tEliminate, VIntersect`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

### name

    private RelativeName name

  The name field.

Constructor Detail

### Name4Tuple

    public Name4Tuple()

  Don't use me.

### Name4Tuple

    public Name4Tuple(Issuer issuer,
                      SubjectName subject,
                      RelativeName name,
                      Validity validity)
               throws SPKIException

  Create a Name4Tuple object from given fields.
  Parameters:
    `issuer` - The issuer field.
    `subject` - The subject field.
    `name` - The name field.
    `validity` - The validity field.
  Throws:
    SPKIException - if something went wrong.

### Name4Tuple

    public Name4Tuple(NameCert cert)
               throws SPKIException

  Create a Name4Tuple object from given name-cert.
  Parameters:
    `cert` - The name-cert.
  Throws:
    SPKIException - if something went wrong.

Method Detail

### toString

    public String toString()

  Overrides:
    toString in class Tuple

### getName

    public LocalName getName()
                      throws SPKIException

  Get the name field. It builds a LocalName object from the issuer's principal and the name field to represent the issuer's local name.
  Returns:
    a LocalName object.
  Throws:
    SPKIException - if something went wrong.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD